%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%{!?wireshark_htmlview:%global wireshark_htmlview 1}

Summary: 	Network traffic analyzer
Name: 		wireshark
Version:	1.0.15
Release: 	6%{?dist}
License: 	GPL
Group: 		Applications/Internet
Source0:	http://wireshark.org/download/src/%{name}-%{version}.tar.bz2
Source1:	wireshark.pam
Source2:	wireshark.console
Source3:	wireshark.desktop
Patch3:		wireshark-nfsv4-opts.patch
Patch4: 	wireshark-0.99.7-path.patch
Patch5:		wireshark-1.2.4-disable_warning_dialog.patch
Patch7:		wireshark-1.0.11-gui-freeze.patch
Patch8:		wireshark-libtool-pie.patch
Patch9:		wireshark-erf.patch
Patch10:	wireshark-1.4.2-enttec-overflow.patch
Patch11:	wireshark-CVE-2010-3445.patch
Patch12:	wireshark-CVE-2011-0024.patch
Patch13:	wireshark-CVE-2011-0538.patch
Patch14:	wireshark-CVE-2011-1139.patch
Patch15:	wireshark-CVE-2011-1140-2.patch
Patch16:	wireshark-CVE-2011-1141.patch
Patch17:	wireshark-CVE-2011-1143.patch
Patch18:	wireshark-1.2.15-snapshot-length.patch
Patch19:	wireshark-1.0.15-tshark-exit-status.patch
Patch20:	wireshark-1.0.6-columns-setting.patch
Patch21:	wireshark-1.0.15-netdump.patch
Patch22:	wireshark-1.0.15-ipv6-ssh.patch
Patch23:	wireshark-CVE-2011-1959.patch
Patch24:	wireshark-CVE-2011-2175.patch
Patch25:	wireshark-CVE-2011-1958.patch
Patch26:	wireshark-CVE-2011-2698.patch
Patch27:	wireshark-CVE-2011-4102.patch
Patch28:	wireshark-CVE-2012-0067.patch
Patch29:	wireshark-CVE-2012-0066.patch
Patch30:	wireshark-CVE-2012-0042.patch
Patch31:	wireshark-CVE-2012-0041.patch
Patch32:	wireshark-CVE-2012-4285.patch
Patch33:	wireshark-CVE-2012-4289.patch
Patch34:	wireshark-CVE-2012-4291.patch
Patch35:	wireshark-CVE-2012-4290.patch
Patch36:	wireshark-CVE-2012-6056.patch
Patch37:	wireshark-CVE-2012-6060.patch
Patch38:	wireshark-CVE-2012-6061.patch
Patch39:	wireshark-CVE-2012-6062.patch
Patch40:	wireshark-CVE-2013-3557.patch
Patch41:	wireshark-CVE-2013-3559.patch
Patch42:	wireshark-CVE-2013-4081.patch
Patch43:	wireshark-CVE-2013-4083.patch
Patch44:	wireshark-CVE-2013-4927.patch
Patch45:	wireshark-CVE-2013-4931.patch
Patch46:	wireshark-CVE-2013-4932.patch
Patch47:	wireshark-CVE-2013-4933.patch
Patch48:	wireshark-CVE-2013-4934.patch
Patch49:	wireshark-CVE-2013-4935.patch
Patch50:	wireshark-CVE-2013-5721.patch
Patch51:	wireshark-CVE-2013-7112.patch
Patch52:	wireshark-CVE-2014-2281.patch
Patch53:	wireshark-CVE-2014-2299.patch

Url: 		http://www.wireshark.org/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libpcap-devel
BuildRequires: 	libsmi-devel
BuildRequires: 	zlib-devel, bzip2-devel
BuildRequires:  openssl-devel
BuildRequires:	glib2-devel, gtk2-devel
BuildRequires:  elfutils-devel, krb5-devel
BuildRequires:  python, pcre-devel, libselinux
BuildRequires:  gnutls-devel
BuildRequires:  desktop-file-utils, automake, libtool
BuildRequires:	python, flex, bison
%if  %{wireshark_htmlview}
BuildRequires: htmlview
%endif
Obsoletes:	ethereal
Provides:	ethereal


%package	gnome
Summary:	Gnome desktop integration for wireshark and wireshark-usermode
Group:		Applications/Internet
Requires: 	gtk2
Requires:	usermode >= 1.37
Requires:	wireshark = %{version}-%{release}
%if  %{wireshark_htmlview}
Requires:	htmlview
%endif
Requires:	libsmi
Obsoletes:	ethereal-gnome
Provides:	ethereal-gnome


%description
Wireshark is a network traffic analyzer for Unix-ish operating systems.

This package lays base for libpcap, a packet capture and filtering 
library, contains command-line utilities, contains plugins and 
documentation for wireshark. A graphical user interface is packaged 
separately to GTK+ package.

%description gnome
Contains wireshark for Gnome 2 and desktop integration file


%prep
%setup -q -n %{name}-%{version}
%patch3 -p1 
%patch4 -p1
%patch5 -p1
%patch7	-p1 -b .gui
%patch8 -p1 -b .pie
%patch9 -p1 
%patch10 -p1 -b .enttec-overflow
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16  -p1
%patch17  -p1
%patch18 -p1 -b .snaplen
%patch19 -p1 -b .exit
%patch20 -p0 -b .columns
%patch21 -p1
%patch22 -p1 -b .ipv6-ssh
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1
%patch50 -p1
%patch51 -p1
%patch52 -p1
%patch53 -p1

%build
%ifarch s390 s390x
export PIECFLAGS="-fPIE"
%else
export PIECFLAGS="-fpie"
%endif
# FC5+ automatic -fstack-protector-all switch
export RPM_OPT_FLAGS=${RPM_OPT_FLAGS//-fstack-protector/-fstack-protector-all}
export CFLAGS="$RPM_OPT_FLAGS $CPPFLAGS $PIECFLAGS -fno-strict-aliasing"
export CXXFLAGS="$RPM_OPT_FLAGS $CPPFLAGS $PIECFLAGS -fno-strict-aliasing"
export LDFLAGS="$LDFLAGS -lm -lcrypto -pie"
%configure \
   --bindir=%{_sbindir} \
   --enable-zlib \
   --enable-ipv6 \
   --with-libsmi \
   --with-gnu-ld \
   --disable-static \
   --disable-usr-local \
   --enable-gtk2 \
   --with-ssl \
   --with-pic \
   --disable-warnings-as-errors \
   --with-plugindir=%{_libdir}/%{name}/plugins/%{version}
make 

%install
rm -rf $RPM_BUILD_ROOT

# The evil plugins hack
perl -pi -e 's|-L../../epan|-L../../epan/.libs|' plugins/*/*.la

make DESTDIR=$RPM_BUILD_ROOT install

#symlink tshark to tethereal
ln -s tshark $RPM_BUILD_ROOT%{_sbindir}/tethereal

# install support files for usermode, gnome and kde
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/wireshark
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/security/console.apps
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/security/console.apps/wireshark
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
ln -s consolehelper $RPM_BUILD_ROOT/%{_bindir}/wireshark

# install man
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 *.1 $RPM_BUILD_ROOT/%{_mandir}/man1

# Install python stuff.
mkdir -p $RPM_BUILD_ROOT%{python_sitelib}
install -m 644 tools/wireshark_be.py tools/wireshark_gen.py  $RPM_BUILD_ROOT%{python_sitelib}

desktop-file-install --vendor redhat                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        %{SOURCE3}

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps
install -m 644 image/wsicon48.png $RPM_BUILD_ROOT/%{_datadir}/pixmaps/wireshark.png


# Remove .la files
rm -f $RPM_BUILD_ROOT/%{_libdir}/%{name}/plugins/%{version}/*.la

# Remove .la files in libdir
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README* 
%{_sbindir}/editcap
%{_sbindir}/idl2wrs
%{_sbindir}/tshark
%{_sbindir}/mergecap
%{_sbindir}/text2pcap
%{_sbindir}/dftest
%{_sbindir}/capinfos
%{_sbindir}/randpkt
%{_sbindir}/dumpcap
%{_sbindir}/tethereal
%{_sbindir}/rawshark
%{python_sitelib}/*
%{_libdir}/lib*
%{_mandir}/man1/editcap.*
%{_mandir}/man1/tshark.*
%{_mandir}/man1/idl2wrs.*
%{_mandir}/man1/rawshark.*
%{_mandir}/man1/mergecap.*
%{_mandir}/man1/text2pcap.*
%{_mandir}/man1/capinfos.*
%{_mandir}/man1/dumpcap.*
%{_mandir}/man4/wireshark-filter.*
%{_libdir}/wireshark
%config(noreplace) %{_sysconfdir}/pam.d/wireshark
%config(noreplace) %{_sysconfdir}/security/console.apps/wireshark
%{_datadir}/wireshark

%files gnome
%defattr(-,root,root)
%{_datadir}/applications/redhat-wireshark.desktop
%{_datadir}/pixmaps/wireshark.png
%{_bindir}/wireshark
%{_sbindir}/wireshark
%{_mandir}/man1/wireshark.*


%changelog
* Fri Mar 14 2014 Peter Hatina <phatina@redhat.com> 1.0.15-6
- security patches
- Resolves: CVE-2012-6056
            CVE-2012-6060
            CVE-2012-6061
            CVE-2012-6062
            CVE-2013-3557
            CVE-2013-3559
            CVE-2013-4081
            CVE-2013-4083
            CVE-2013-4927
            CVE-2013-4931
            CVE-2013-4932
            CVE-2013-4933
            CVE-2013-4934
            CVE-2013-4935
            CVE-2013-5721
            CVE-2013-7112
            CVE-2014-2281
            CVE-2014-2299

* Mon Aug 20 2012 Jan Safranek <jsafrane@redhat.com> 1.0.15-5
- fixed CVE-2012-4285, CVE-2012-4289, CVE-2012-4291 and CVE-2012-4290
  (#849521)

* Wed Aug  1 2012 Jan Safranek <jsafrane@redhat.com> 1.0.15-4
- fixed NetDump dissector (#484999)

* Tue Jun 26 2012 Jan Safranek <jsafrane@redhat.com> 1.0.15-3
- fixed various flaws: CVE-2011-1959 CVE-2011-2175 CVE-2011-1958 
  CVE-2011-2698 CVE-2011-4102 CVE-2012-0041 CVE-2012-0042 CVE-2012-0066
  CVE-2012-0067

* Tue May 29 2012 Jan Safranek <jsafrane@redhat.com> 1.0.15-2
- fixed tshark -s option (#580513)
- fixed tshark exit code when dumpcap fails (#580510)
- fixed editing of columns in Wireshark preferences (#493693)
- added netdump protocol dissector (#484999)
- fixed tshark / Wireshark automatic filter when started in ssh connection
  over IPv6 (#438473)

* Wed Mar  9 2011 Jan Safranek <jsafrane@redhat.com> 1.0.15-1.4
- fix few security issues
- Resolves: CVE -2011-0024 CVE-2011-0538 CVE-2011-1139 CVE-2011-1140
  CVE-2011-1141 CVE-2011-1143 #612240

* Wed Jan  5 2011 Jan Safranek <jsafrane@redhat.com> 1.0.15-1.3
- recompile with -fno-strict-aliasing

* Wed Jan  5 2011 Jan Safranek <jsafrane@redhat.com> 1.0.15-1.2
- fix buffer overflow in ENTTEC dissector
- Resolves: #667335

* Mon Aug  2 2010 Jan Safranek <jsafrane@redhat.com> 1.0.15-1
- upgrade to 1.0.15
- http://www.wireshark.org/docs/relnotes/wireshark-1.0.15.html
- fixes CVE-2010-2287 CVE-2010-2284
- Related: #612239

* Wed Jul 28 2010 Jan Safranek <jsafrane@redhat.com> 1.0.14-1.2
- fix corner case in CVE-2010-2284
- Related: #612239

* Thu Jul  8 2010 Jan Safranek <jsafrane@redhat.com> 1.0.14-1
- upgrade to 1.0.14
- http://www.wireshark.org/docs/relnotes/wireshark-1.0.14.html
- fixes CVE-2010-1455 CVE-2010-2283 CVE-2010-2284 CVE-2010-2286 CVE-2010-2287
- Resolves: #612239

* Tue Apr  6 2010 Radek Vokal <rvokal@redhat.com> 1.0.11-1.5
- rebuild without smp flags (fixes problems with doc generating)

* Tue Apr  6 2010 Radek Vokal <rvokal@redhat.com> 1.0.11-1.4
- add erf overflow patch
- Resolves #532479 

* Mon Mar 29 2010 Radek Vokal <rvokal@redhat.com> 1.0.11-1.3
- bring back pie (patch from Jindrich Novy <jnovy@redhat.com>)
- no GUI freeze
- Resolves: #549583

* Tue May 26 2009 Radek Vokal <rvokal@redhat.com> 1.0.8-1.1
- bump release to match Z-stream/EUS NVR policy
- Resolves: #501950

* Mon May 25 2009 Radek Vokal <rvokal@redhat.com> 1.0.8-1
- upgrade to 1.0.8
- Resolves: #501950

* Wed Feb 25 2009 Radek Vokal <rvokal@redhat.com> 1.0.6-2
- bring back pie
- Resolves: #486551

* Mon Feb 23 2009 Radek Vokal <rvokal@redhat.com> 1.0.6-1
- various security flaws fixed
- upgrade to 1.0.6
- Resolves: #486551

* Wed Sep 24 2008 Radek Vokal <rvokal@redhat.com> 1.0.3-4
- fix pam session file, wireshark requires root pswd everytime its started

* Fri Sep 12 2008 Radek Vokál <rvokal@redhat.com> 1.0.3-3
- fix pie flags

* Wed Sep 10 2008 Radek Vokál <rvokal@redhat.com> 1.0.3-1
- upgrade to 1.0.3
- fixes several security issues
- Resolves: #461569

* Mon Jan  7 2008 Radek Vokál <rvokal@redhat.com> 0.99.7-1
- upgrade to 0.99.7
- switch to libsmi from net-snmp
- disable ADNS due to its lack of Ipv6 support
- Resolves: #397411

* Mon Jul  9 2007 Radek Vokál <rvokal@redhat.com> 0.99.6-1
- upgrade to 0.99.6
- Wireshark could crash when dissecting an HTTP chunked response
- Wireshark could crash while reading iSeries capture files
- Wireshark could exhaust system memory while reading a
  malformed DCP ETSI packet
- Wireshark could loop excessively while reading a malformed SSL packet
- Resolves: #247623

* Mon Feb  5 2007 Radek Vokál <rvokal@redhat.com> 0.99.5-1
- multiple security issues fixed (#225781)
- CVE-2007-0459 - The TCP dissector could hang or crash while reassembling HTTP packets
- CVE-2007-0459 - The HTTP dissector could crash.
- CVE-2007-0457 - On some systems, the IEEE 802.11 dissector could crash.
- CVE-2007-0456 - On some systems, the LLT dissector could crash.

* Thu Nov 23 2006 Radek Vokal <rvokal@redhat.com> 0.99.4-2
- add htmlview to buildrequires to be picked up by config scripts
- Resolves: #216918

* Wed Nov  1 2006 Radek Vokál <rvokal@redhat.com> 0.99.4-1
- upgrade to 0.99.4, fixes multiple security issues (#211993)
- use dist tag
- CVE-2006-5468 - The HTTP dissector could dereference a null pointer.
- CVE-2006-5469 - The WBXML dissector could crash.
- CVE-2006-5470 - The LDAP dissector (and possibly others) could crash.
- CVE-2006-4805 - Basic DoS, The XOT dissector could attempt to allocate a large amount of memory and crash.
- CVE-2006-4574 - Single byte \0 overflow written onto the heap


* Tue Oct 10 2006 Radek Vokal <rvokal@redhat.com> 0.99.4-0.pre1
- upgrade to 0.99.4-0.pre1

* Fri Aug 25 2006 Radek Vokál <rvokal@redhat.com> 0.99.3-1
- upgrade to 0.99.3
- Wireshark 0.99.3 fixes the following vulnerabilities:
- the SCSI dissector could crash. Versions affected: CVE-2006-4330
- the IPsec ESP preference parser was susceptible to off-by-one errors. CVE-2006-4331
- a malformed packet could make the Q.2931 dissector use up available memory. CVE-2006-4333 

* Tue Jul 18 2006 Radek Vokál <rvokal@redhat.com> 0.99.2-1
- upgrade to 0.99.2

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.99.2-0.pre1.1
- rebuild

* Tue Jul 11 2006 Radek Vokál <rvokal@redhat.com> 0.99.2-0.pre1
- upgrade to 0.99.2pre1, fixes (#198242)

* Tue Jun 13 2006 Radek Vokal <rvokal@redhat.com> 0.99.1-0.pre1
- spec file changes

* Fri Jun  9 2006 Radek Vokal <rvokal@redhat.com> 0.99.1pre1-1
- initial build for Fedora Core
